package com.energy.manage.service.service.system;

import com.energy.manage.common.po.system.SysOrganizationAuthPO;

import java.util.List;
import java.util.Map;

/**
 * 风场/企业角色关系
 * @author chy
 * @date 2024/5/21 09:35
 * @desc
 */
public interface SysOrganizationAuthService {


    /**
     * 根据角色id查询风场编号列表
     * @param roleId
     * @return
     */
    Map<String, List<SysOrganizationAuthPO>> queryCodeNunByRoleId(Integer roleId);


    /**
     * 通过code和类型查询数据是否存在
     * @param codeName
     * @param type
     * @return
     */
    boolean verifySysOrganizationAuthByType(String codeName,String type);


    /**
     * 驾驶舱通过roleid查询树
     * @param roleId
     * @return
     */
    List<Map<String, Object>> getSysOrganizationAuthTreeByRoleId(Integer roleId);



}
